#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	traceroute
Version		:	2.1.0
Release		:	16.2.0.rel%{?dist}
Summary		:	Traces the route taken by packets over an IPv4/IPv6 network
Group		:	Applications/Internet

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://sourceforge.net/projects/traceroute/files/traceroute/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
%description
The traceroute utility displays the route used by IP packets on their
way to a specified network (or Internet) host.  Traceroute displays
the IP number and host name (if possible) of the machines along the
route taken by the packets.  Traceroute is used as a network debugging
tool.  If you're having network connectivity problems, traceroute will
show you where the trouble is coming from along the route.

Install traceroute if you need a tool for diagnosing network connectivity
problems.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc CREDITS README
%license COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}6
%{_mandir}/man8/*.8.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	CFLAGS="$RPM_OPT_FLAGS"				\
	LDFLAGS="$RPM_LD_FLAGS"				\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	prefix=%{_prefix}				\
	DESTDIR=%{buildroot}				\
	install

%{__ln_s} 						\
	%{name}						\
	%{buildroot}%{_bindir}/%{name}6

%{__ln_s} 						\
	%{name}.8					\
	%{buildroot}%{_mandir}/man8/%{name}6.8


#-----------------------------------------------------------------------------
%changelog
